
#include <stdio.h>
#include <stdlib.h>
#include "config.h"
#include "states.h"
#include "menu.h"
#include "draw.h"

void eventsMainmenu() {
  handleMenuEvent(mainMenu, 3, STATE_EXIT);
}

void eventsNumplayers() {
  handleMenuEvent(numplayersMenu, 4, STATE_MAINMENU);
}

void eventsCredits() {
  handleMenuEvent(creditsMenu, 1, STATE_MAINMENU);
}

void eventsRunninggame() {
  if (event.type == SDL_KEYDOWN) {
    switch (event.key.keysym.sym) {
      case SDLK_RETURN:
        free(terrain);
        terrain = generateTerrain(150.0, 180.0);
        printf("New terrain generated.\n");
        break;
      case SDLK_ESCAPE:
      case SDLK_F10:
        currentState = STATE_RLYQUIT;
        break;
      default:
        break;
    }
  }
}

void eventsRlyquit() {
  handleMenuEvent(rlyquitMenu, 2, STATE_RUNNINGGAME);
}

